# avoid dependency on X11 libraries
%define without_x       1

Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	4.8.7
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
URL:		http://www.midnight-commander.org/
Source0:	http://www.midnight-commander.org/downloads/%{name}-%{version}.tar.xz
Patch0:		mc-4.8.6-decent_defaults.diff
Patch2:		mc-4.8.7-use_okular_for_pdf_files.diff
BuildRequires:	libext2fs-devel
BuildRequires:	libgpm-devel >= 0.18
BuildRequires:	pam-devel
BuildRequires:	slang-devel
Buildrequires:	glib2-devel
BuildRequires:	autoconf automake libtool
BuildRequires:	bison
BuildRequires:	pkgconfig(libssh2) >= 1.2.5
%if %without_x
%else
BuildRequires:	X11-devel
%endif
BuildRequires:	gettext-devel
Requires:	groff

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep

%setup -q
%patch0 -p0 -b .decent_defaults
%patch2 -p1 -b .use_okular_for_pdf_files

sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

%build
autoreconf -fi
%serverbuild
export X11_WWW="www-browser"
export CFLAGS="$CFlAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"

%configure2_5x \
    --with-debug \
    --enable-dependency-tracking \
    --without-included-gettext \
    --without-included-slang \
    --with-screen=slang \
    --with-search-engine=glib \
    --enable-nls \
    --enable-charset \
    --enable-largefile \
    --disable-rpath \
    --with-mcfs \
    --enable-vfs-smb \
    --enable-vfs-sftp \
    --enable-vfs-mcfs \
    --enable-extcharset \
    --with-mmap \
%if %without_x
    --without-x
%endif

%make

%install
rm -rf %{buildroot}

#fix mc-wrapper.sh
perl -p -i -e 's/rm -f \"/rm -rf \"/g' lib/mc-wrapper.sh

%makeinstall_std

install -m644 contrib/mc.sh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
install -m644 contrib/mc.csh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.csh

%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README
%dir %{_libexecdir}/mc
%dir %{_libexecdir}/mc/extfs.d
%dir %{_libexecdir}/mc/ext.d
%dir %{_libexecdir}/mc/fish
%dir %{_datadir}/mc
%dir %{_datadir}/mc/skins
%dir %{_datadir}/mc/syntax
%dir %{_datadir}/mc/hints
%dir %{_datadir}/mc/help
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/mc
%{_bindir}/mc
%{_bindir}/mcdiff
%{_bindir}/mcedit
%{_bindir}/mcview
%{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/extfs.d/*
%{_libexecdir}/mc/ext.d/*
%{_libexecdir}/mc/fish/*
%{_libexecdir}/mc/mc*.*sh
%{_datadir}/mc/help/*
%{_datadir}/mc/hints/*
%{_datadir}/mc/mc.charsets
%{_datadir}/mc/mc.lib
%{_datadir}/mc/skins/*
%{_datadir}/mc/syntax/*
%{_mandir}/man1/*
%{_datadir}/mc/examples/macros.d/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.8.7-2.mga3
+ Revision: 359829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 4.8.7-1.mga3
+ Revision: 339034
- fix for changed libexecdir
- 4.8.7
- remove upstreamed CVE patch1
- rewrite patch2
- correct filename in sed command

* Fri Dec 21 2012 oden <oden> 4.8.6-1.mga3
+ Revision: 333645
- 4.8.6
- remove patches not cared for
- rediff some patches
- various cleanups
- sync a little with fedora

* Fri Dec 07 2012 luigiwalser <luigiwalser> 4.8.4-3.mga3
+ Revision: 327897
- add patch from fedora to fix CVE-2012-4463

* Fri Jul 20 2012 fwang <fwang> 4.8.4-2.mga3
+ Revision: 272753
- bre libssh

* Fri Jul 20 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 272748
- update file list
- new version 4.8.4

* Tue May 29 2012 ovitters <ovitters> 4.8.3-1.mga3
+ Revision: 249240
- new version 4.8.3

* Wed Feb 15 2012 ovitters <ovitters> 4.8.1-2.mga2
+ Revision: 209249
- clean spec

* Fri Dec 16 2011 shlomif <shlomif> 4.8.1-1.mga2
+ Revision: 182599
- New version: 4.8.1 thanks to neocrust.

* Fri Dec 16 2011 fwang <fwang> 4.7.5.6-1.mga2
+ Revision: 182351
- new version 4.7.5.6

* Thu Sep 29 2011 fwang <fwang> 4.7.5.5-1.mga2
+ Revision: 150115
- new version 4.7.55

* Mon Sep 12 2011 fwang <fwang> 4.7.5.4-1.mga2
+ Revision: 142737
- new version 4.7.5.4
- new version 4.7.5.3

* Sun May 15 2011 pterjan <pterjan> 4.7.5.2-2.mga1
+ Revision: 99021
- Rebuild for fixed find-requires

* Sat Apr 16 2011 pterjan <pterjan> 4.7.5.2-1.mga1
+ Revision: 86183
- Update to 4.7.5.2

* Sun Jan 09 2011 kharec <kharec> 4.7.5-1.mga1
+ Revision: 2031
- imported package mc

